FunctionSpaceFactory.cpp File Reference
`#include "FunctionSpaceFactory.h"`
`#include "AbstractContinuousDomain.h"`
`#include "FunctionSpaceException.h"`

## Namespaces

| escript

## Macros

#define | CTS_CHECK

## Functions

FunctionSpace | escript::continuousFunction (const AbstractDomain &domain)
| Create function space objects. More...
FunctionSpace | escript::reducedContinuousFunction (const AbstractDomain &domain)
| Return a continuous with reduced order FunctionSpace (overlapped node values on reduced element order) More...
FunctionSpace | escript::function (const AbstractDomain &domain)
| Return a function FunctionSpace. More...
FunctionSpace | escript::reducedFunction (const AbstractDomain &domain)
| Return a function FunctionSpace with reduced integration order. More...
FunctionSpace | escript::functionOnBoundary (const AbstractDomain &domain)
| Return a function on boundary FunctionSpace. More...
FunctionSpace | escript::reducedFunctionOnBoundary (const AbstractDomain &domain)
| Return a function on boundary FunctionSpace with reduced integration order. More...
FunctionSpace | escript::functionOnContactZero (const AbstractDomain &domain)
| Return a FunctionSpace on left side of contact. More...
FunctionSpace | escript::reducedFunctionOnContactZero (const AbstractDomain &domain)
| Return a FunctionSpace on left side of contact with reduced integration order. More...
FunctionSpace | escript::functionOnContactOne (const AbstractDomain &domain)
| Return a FunctionSpace on right side of contact. More...
FunctionSpace | escript::reducedFunctionOnContactOne (const AbstractDomain &domain)
| Return a FunctionSpace on right side of contact with reduced integration order. More...
FunctionSpace | escript::solution (const AbstractDomain &domain)
| Return a FunctionSpace. More...
FunctionSpace | escript::reducedSolution (const AbstractDomain &domain)
| Return a FunctionSpace with reduced integration order. More...
FunctionSpace | escript::diracDeltaFunctions (const AbstractDomain &domain)
| Return a FunctionSpace. More...

## Macro Definition Documentation

## CTS_CHECK

#define CTS_CHECK

Value:
const AbstractContinuousDomain* temp=dynamic_cast<const AbstractContinuousDomain*>(&domain);\
if (temp==0)\
{\
throw FunctionSpaceException("This method will only make FunctionSpaces for ContinuousDomains.");\
}